%===========================================================%
%	Komandna datoteka startA.m pokrece SIMULINK model A.mdl
%===========================================================%
clear;
%-----------------------------------------------------------%
%PERIODA ODABIRANJA REGULATORA BRZINE
T = 0.0003; %[s]
%-----------------------------------------------------------%
%ELEKTRICNI PODSISTEM
Km = 1; 		%pojacanje aktuatora
psi = 0.3; 	%faktor relativnog prigusenja
Wn = 4430; 	%neprigusena prirodna ucestanost u [rad/s]
Te = 1/(2*psi*Wn); %prema uputstvu
Tmax = 10; 	%maksimalni moment u [Nm]
%-----------------------------------------------------------%
%PARAMETRI MEHANICKOG PODSISTEMA SA KRUTOM OSOVINOM
Jm = 0.0008; 	%inercija elektricne masine u [kgm2]
JL = 0.0002; 	%inercija opterecenja u [kgm2]
J = Jm + JL; 	%ukupna inercija u [kgm2]
%-----------------------------------------------------------%
%DAVAC-ENKODER
N = 12; %rezolucija [bita]
Kn = 2^N/(2*pi); %izraz (11)
kvant = 1; %kvantizacioni interval
%-----------------------------------------------------------%
%DOMINANTNA VREMENSKA KONSTANTA
Tau = Te; %izraz (35)
%-----------------------------------------------------------%
%PRORACUN PARAMETARA REGULATORA BRZINE
b = exp(-T/Tau); %izraz (34)
C = (Km*Kn*T)/(2*J); %izraz (33c)            
Sopt = (4 + 4*b)^(1/3) - 1; %izraz (45) 
KP = (Sopt^3 - b)/((1 - b)*C); %izraz (46)       
KI = (3*Sopt^2 - 1 - 2*b)/((1 - b)*C); %izraz (46)
freg = -log(Sopt)/(2*pi*T); %izraz (47)
%-----------------------------------------------------------%
%STARTUJE MODEL A.mdl
open_system('A.mdl');
%-----------------------------------------------------------%

